// David A. Roman - www.RomanDA.org

var visOn = false;
var isPlayListOpen = false;
var isEQOpen = false;


function Init()
{
    PlayList_ID.visible=false;

    if(player.OpenState == osMediaOpen)
    {
        UpdateMetadata();
    }

}

function OnOpenStateChange()
{
    if(player.OpenState == osMediaOpen)
    {
        UpdateMetadata();
    }
}



function OnClose()
{
    var temp = bigGoo.visible ? visBig : visSmall;
    mediacenter.effectType = temp.currentEffectType;
    mediacenter.effectPreset = temp.currentPreset;
}

function UpdateMetadata()
{
    metadata.value =
        player.currentmedia.getiteminfo("author");
    if(metadata.value != "")
    {
        metadata.value += " -- ";
    }
    metadata.value += player.currentmedia.name;
    metadata.scrolling = (metadata.textWidth>metadata.width);
}



function OnLoad() {
	// set view to previous saved state
    if (theme.loadPreference("EqualizerPanel") == "True")
		ToggleEqualizer();
    if (theme.loadPreference("PlaylistPanel") == "True")
        TogglePlaylist();
 	
}

function ShowHidViz()
{
     if (visOn) {
          sScreen.alphaBlendTo(0,1000)
          visOn = false;
          Viz_Button.upToolTip = "Show Visualization";
     } else {
          sScreen.alphaBlendTo(255,1000)
          visOn = true;
          Viz_Button.upToolTip = "Hide Visualization";
     }
}


function repeatClick() {
     if (player.Settings.getMode('loop')) {
          player.Settings.setMode('loop','false');
     } else {
          player.Settings.setMode('loop','true');
     }
}

function shuffleClick() {
     if (player.Settings.getMode('shuffle')) {
          player.Settings.setMode('shuffle','false');
     } else {
          player.Settings.setMode('shuffle','true');
     }
}





// --------------------- PLAY LIST ------------------------

function movePlayListDrawer() {
     if (isPlayListOpen) {     
          isPlayListOpen = false;
          Blank.visible  = "true";
          PlayListButton.upToolTip = "Show Playlist";
          PlayListDrawer.visible= "false";
          PlayList_ID.visible = "false"
     } else {
          isPlayListOpen = true;
          Blank.visible  = "false";
          PlayListButton.upToolTip = "Hide Playlist";
          PlayListDrawer.visible= "true";
          PlayList_ID.visible = "true"
     }
     if (isEQOpen) {
          EQButton.upToolTip = "Show EQ";
          isEQOpen = false;
          EQDrawer.visible  = "false";
          Blank.visible  = "true";
     }
}

//--------------------EQ DRAWER --------------
function moveEQDrawer() {
     if (isPlayListOpen) {
          isPlayListOpen = false;
          Blank.visible  = "true";
          PlayListButton.upToolTip = "Show Playlist";
          PlayListDrawer.visible= "false";
          PlayList_ID.visible = "false"     }
     if (isEQOpen) {
          EQButton.upToolTip = "Show EQ";
          isEQOpen = false;
          EQDrawer.visible  = "false";
          Blank.visible  = "true";
     } else {
          EQButton.upToolTip = "Hide EQ";
          isEQOpen = true;
          EQDrawer.visible  = "true";
          Blank.visible  = "false";
     }
}

function checkSplineTension(){
     splineTensionBtn1.down = false;
     splineTensionBtn2.down = false;
     splineTensionBtn3.down = false;
     if(!eq.enableSplineTension){
          splineTensionBtn1.down = true
     }else if(eq.enableSplineTension && eq.splineTension==2 ){
          splineTensionBtn2.down = true;
     }else if(eq.enableSplineTension && eq.splineTension==10){
          splineTensionBtn3.down = true;
     }
}
